Subject: Re: [JGIT PATCH 7/9] removing eclipse project files

From: Robin Rosenberg <[email-masked]>
Date: Mon, 28 Sep 2009 08:34:44 +0200

måndag 28 september 2009 04:21:36 skrev Jonas Fonseca <[email-masked]>:
> On Sun, Sep 27, 2009 at 15:52, Robin Rosenberg
> <[email-masked]> wrote:
> > lördag 26 september 2009 22:10:16 skrev Mark Struberg <[email-masked]>:
> >> And there is a lot more which imho cannot be set for a project. So checking in the xml sounds like it is way more powerful isn't? And we would have this
> >
> > For JGit, not really. Everything that is not project settings should be left as the default. The only reason is tool constraints. I'm not well versed
> > enough to tell what neatbeans does here.
> 
> It is my impression that NetBeans has far better integration with
> maven. In terms of code formatting NetBeans supports
> exporting/importing project specific settings, but I have never
> personally used that.

I was thinking of (project) settings for controlling warnings/errors and formatting.

-- robin